Compute Management/Image Storage Related Interfaces/Image Related Interfaces
PUTImage Related InterfacesSince 0.6SynchronousAuth Required
Update Image
Update Image
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredImage UUID, uniquely identifies the Image
Body Fields
paramsObjectRequiredRequest body parameter object.
nameStringImage name
descriptionStringDetailed description of the Image
guestOsTypeStringGuest Operating System type corresponding to the Image
mediaTypeStringImage type
formatStringImage format
systemBooleanIndicates whether it is a system Image
platformStringImage system platform
updateimageObjectRequiredupdateimage request body object.
architectureStringNo description provided.
systemTagsListSystem Tags
userTagsListUser Tags
Responses
Endpoint
PUT/zstack/v1/images/{uuid}/actions
/zstack/v1/images/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/images/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"name":"<name>","description":"<description>","guestOsType":"<guestOsType>","mediaType":"<mediaType>","format":"<format>","system":true,"platform":"<platform>"},"updateimage":{"architecture":"<architecture>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "fadea0efc22e3e6fa43f537f1af6ee6b", "name": "TinyLinux", "url": "http://192.168.1.20/share/images/tinylinux.qcow2", "mediaType": "RootVolumeTemplate", "platform": "Windows", "architecture": "x86_64", "format": "qcow2", "backupStorageRefs": [ { "id": 0.0, "imageUuid": "fadea0efc22e3e6fa43f537f1af6ee6b", "backupStorageUuid": "b94ff32725d133fea53e8ada5ea7f0fc", "installPath": "ceph://zs-images/f0b149e053b34c7eb7fe694b182ebffd", "status": "Ready" } ] } }Change History
This API has no change history records yet.
